Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.jboss.shrinkwrap.descriptor.api.ejbjar31
Enum SessionTypeType

    java.lang.Object
      java.lang.Enum<SessionTypeType>
          org.jboss.shrinkwrap.descriptor.api.ejbjar31.SessionTypeType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<SessionTypeType>

    public enum SessionTypeType

extends java.lang.Enum<SessionTypeType>

This class implements the `session-typeType` xsd type

Original Documentation:

The session-typeType describes whether the session bean is a
singleton, stateful or stateless session. It is used by
session-type elements.
The value must be one of the three following:
Singleton
Stateful
Stateless

Since:
  Generation date :2011-07-19T22:55:02.759+02:00
Author:
  Ralf Battenfeld

Enum Constant Summary
`_SINGLETON`
`_STATEFUL`
`_STATELESS`

Method Summary
`static SessionTypeType` | `getFromStringValue(java.lang.String value)`
`java.lang.String` | `toString()`
`static SessionTypeType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static SessionTypeType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### _SINGLETON

    public static final SessionTypeType _SINGLETON

### _STATEFUL

    public static final SessionTypeType _STATEFUL

### _STATELESS

    public static final SessionTypeType _STATELESS

Method Detail

### values

    public static SessionTypeType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (SessionTypeType c : SessionTypeType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static SessionTypeType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Enum<SessionTypeType>`

### getFromStringValue

    public static SessionTypeType getFromStringValue(java.lang.String value)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD